%define	major	0
%define	oname	nice
%define	libname		%mklibname %{oname} %major
%define develname	%mklibname %{oname} -d

Name:		libnice
Version:	0.0.13
Release:	%mkrel 1
Summary:	Implementation of the IETF's draft Interactive Connectivity Establishment standard
License:	GPLv2+
Group:		System/Libraries
URL:		http://nice.freedesktop.org/wiki/
Source:		http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgstreamer-plugins-base-devel >= 0.10.0
BuildRequires:	gtk-doc
BuildRequires:	libgupnp-igd-devel >= 0.1.2
Requires:	%{libname} = %{version}


%description
Nice is an implementation of the IETF's draft Interactive Connectivity Establishment
standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP data streams.
It automates the process of traversing NATs and provides security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol (SIP) and Jingle,
XMPP extension for audio/video calls.

Nice includes integration with GStreamer. It is used by Farsight for RTP transport. 

%package -n	%{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Provides: 	%{name} = %{version}-%{release}

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header files, static libraries and development
documentation for %{oname}. If you like to develop programs using %{oname},
you will need to install %{oname}-devel.

%package 	utils
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides: 	%{name}-utils = %{version}-%{release}
Obsoletes:	libnice

%description 	utils
This package contains various tools from %{name}.

%prep
%setup -q 

%build
#autoreconf -fiv
%configure2_5x --enable-gupnp
%make

%install
rm -rf %{buildroot}
%makeinstall

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files utils
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/stun*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/gstreamer-0.10/*.so

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/%{oname}/*.h
%{_includedir}/stun/*.h
%{_includedir}/stun/usages/*.h
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/gstreamer-0.10/*.a
%{_libdir}/gstreamer-0.10/*.la
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gtk-doc/html/%{name}/*



%changelog
* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 0.0.13-1mdv2011.0
+ Revision: 557307
- new version 0.0.13
- rebuild for new gupnp-igd

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.12-1mdv2011.0
+ Revision: 550734
- New version 0.0.12

* Tue Apr 06 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.11-1mdv2010.1
+ Revision: 532333
- New version 0.0.11

* Thu Jan 07 2010 Jani Välimaa <wally@mandriva.org> 0.0.10-2mdv2010.1
+ Revision: 487207
- rebuild for new gupnp-igd

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.10-1mdv2010.1
+ Revision: 465208
- update to new version 0.0.10

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-3mdv2010.0
+ Revision: 445927
- Rebuild for new gupnp

* Tue Aug 25 2009 Lev Givon <lev@mandriva.org> 0.0.9-2mdv2010.0
+ Revision: 421288
- Specify required versions of build dependencies.

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-1mdv2010.0
+ Revision: 410342
- update to new version 0.0.9

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.8-3mdv2010.0
+ Revision: 402812
- rename libnice package (containing binaries) to libnice-utils

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-2mdv2010.0
+ Revision: 387853
- Build with gupnp support
- Use %%configure2_5x instead of %%configure

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-1mdv2010.0
+ Revision: 387823
- update to new version 0.0.8

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.6-1mdv2010.0
+ Revision: 379979
- update to new version 0.0.6

* Fri Mar 20 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-2mdv2009.1
+ Revision: 358234
- move gstreamer .so file in library package

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-1mdv2009.1
+ Revision: 350288
- New version 0.0.5
- disable autoreconf
- update files list

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.4-1mdv2009.1
+ Revision: 326839
- New version 0.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Sat Nov 29 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.3-1mdv2009.1
+ Revision: 307518
- import libnice


